
QGIS Application - Feature request #3231

Enhancements: Numerical move tool & use two clicks instead of dragging with move tool

2010-11-18 05:58 AM - pinux -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13291

Description

The snapping for the move tool would be a great addition to this tool. It could be working like that:

1. Click on a node/point of the selected objects,

2. Click to a second node/point or input the new x y for that node/point.

History

#1 - 2011-02-13 01:56 AM - Alister Hood

Hi,

Your description did not seem to match your title, so I am changing the title and filling in a new feature request for snapping.

I think this should probably still be separated into two separate requests :)

Also, I think it should be possible to implement this as plugins, e.g. similar to the [[NumericalDigitize]] and the Numerical Vertex Edit plugins.

#2 - 2011-02-13 01:58 AM - Alister Hood

For snapping request see #3486

#3 - 2011-02-13 02:09 AM - Alister Hood

Sorry, since I've changed the title, we probably need to be clear that the two-click move tool would be snapping enabled.

#4 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:31 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2017-05-01 12:42 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Easy fix? set to No
#8 - 2017-05-01 02:35 PM - Regis Haubourg

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Move tool has snapping now in qgis 2.99.
